For the complete documentation index, see llms.txt. This page is also available as Markdown.

Data Sources

Get Data Sources

get

Returns a list of data sources in your organization.

Authorizations
AuthorizationstringRequired
Query parameters
cursorstringOptional
uuidstring · uuid[] · max: 50 · nullableOptional
machinestring · uuid[] · max: 50 · nullableOptional
sparkstring · uuid[] · max: 50 · nullableOptional
Responses
200

Successful Response

application/json
get/v2/data-sources

Post Data Source

post

Create a new data source

Authorizations
AuthorizationstringRequired
Body
namestringRequired

The human readable name of the data source.

sparkstring · uuidRequired

Which SPARK reads from the data source. It must be located at the same site as the current SPARK.

manufacturerstring · nullableOptional

Manufacturer of the data source.

Example: Siemens
device_modelstring · nullableOptional

Specific model or name describing the data source as concretely as possible.

Example: S7-1214C
notestring · nullableOptional

General remarks concerning this data source.

machinestring · uuidRequired

On which machine the data source is located.

detailsone ofRequired

Data Source specific properties required for the connection to the data source

or
or
or
or
or
or
or
or
or
Responses
201

Successful Response

application/json
uuidstring · uuidRequired
typestringRequired
readout_limitinteger · nullableRequired
readout_intervalintegerRequired
namestringRequired

The human readable name of the data source.

sparkstring · uuidRequired

Which SPARK reads from the data source. It must be located at the same site as the current SPARK.

manufacturerstring · nullableRequired

Manufacturer of the data source.

Example: Siemens
device_modelstring · nullableRequired

Specific model or name describing the data source as concretely as possible.

Example: S7-1214C
notestring · nullableRequired

General remarks concerning this data source.

machinestring · uuidRequired

On which machine the data source is located.

last_readout_atstring · date-time · nullableRequiredDeprecated

This field is deprecated, use the readout_status.last_readout_at

detailsone of · nullableRequired

Data Source specific properties required for the connection to the data source

or
or
or
or
or
or
or
or
or
post/v2/data-sources

Get Data Source

get

Returns details for a specific data source.

Authorizations
AuthorizationstringRequired
Path parameters
uuidstring · uuidRequired
Responses
200

Successful Response

application/json
uuidstring · uuidRequired
typestringRequired
readout_limitinteger · nullableRequired
readout_intervalintegerRequired
namestringRequired

The human readable name of the data source.

sparkstring · uuidRequired

Which SPARK reads from the data source. It must be located at the same site as the current SPARK.

manufacturerstring · nullableRequired

Manufacturer of the data source.

Example: Siemens
device_modelstring · nullableRequired

Specific model or name describing the data source as concretely as possible.

Example: S7-1214C
notestring · nullableRequired

General remarks concerning this data source.

machinestring · uuidRequired

On which machine the data source is located.

last_readout_atstring · date-time · nullableRequiredDeprecated

This field is deprecated, use the readout_status.last_readout_at

detailsone of · nullableRequired

Data Source specific properties required for the connection to the data source

or
or
or
or
or
or
or
or
or
get/v2/data-sources/{uuid}

Delete Data Source

delete

Delete a data source

Authorizations
AuthorizationstringRequired
Path parameters
data_source_uuidstring · uuidRequired
Responses
204

Successful Response

No content

delete/v2/data-sources/{data_source_uuid}

No content

Update Data Source

patch

Update a data source

Authorizations
AuthorizationstringRequired
Path parameters
data_source_uuidstring · uuidRequired
Body
namestringOptional

The human readable name of the data source.

sparkstring · uuidOptional

Which SPARK reads from the data source. It must be located at the same site as the current SPARK.

manufacturerstring · nullableOptional

Manufacturer of the data source.

Example: Siemens
device_modelstring · nullableOptional

Specific model or name describing the data source as concretely as possible.

Example: S7-1214C
notestring · nullableOptional

General remarks concerning this data source.

detailsone ofOptional

Data Source specific properties required for the connection to the data source

or
or
or
or
or
or
or
or
or
Responses
201

Successful Response

application/json
anyOptional
patch/v2/data-sources/{data_source_uuid}

No content

Last updated